Bug 1241 - Upgrade process results in a not-complete /usr/info/dir
Upgrade process results in a not-complete /usr/info/dir
Product: Red Hat Linux
Classification: Retired
Component: textutils (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Lawrence
Depends On:
  Show dependency treegraph
Reported: 1999-02-19 03:14 EST by Chris Siebenmann
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 1999-03-11 15:41:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Chris Siebenmann 1999-02-19 03:14:49 EST
Upgrading a RedHat system from one RedHat release to
another (or, possibly, installing one to start with)
may result in a /usr/info/dir info dirfile that is not

 The basic problem is that /usr/info/dir is both a file
supplied by an RPM (from the info RPM) and a file built
dynamically from package %postinstall scripts running
/sbin/install-info. When a whole-system upgrade runs
and installs a new version of the info package, any
changes that %postinstall scripts have made get lost.
This means that any RPM that supplies its own info file
and is not upgraded in a whole-system upgrade may drop
out of the info file.

 Since some GNU packages are *only* documented by their
info files (having no manpages), I tend to think that
this is a reasonably bad thing.

 I think that the best solution is to not have the info
RPM supply a /usr/info/dir file at all. If the file is
going to contain important dynamically-installed stuff,
the entire file should be built dynamically; the info
RPM's %postinstall script can add the basic entries with
/sbin/install-info, just like everyone else.

(Possibly I am misreading the situation; it is hard to
tell with /usr/info/dir without exhaustive checking of
the contents against /usr/info/* entries.)

 The 'component' of this bug report is arbitrarily chosen
from the list of packages that run /sbin/install-info but
weren't said to be upgraded going from RedHat 5.1 to 5.2.
(I would use info itself as the component, but there is
no entry for it in the components dialog ... see my other
bug report on that.)
Comment 1 Jeff Johnson 1999-03-11 15:41:59 EST
This problem will be fixed in Red Hat 6.0 by marking /usr/info/dir
as %config(norelace). That should result in the contents of
/usr/info/dir being preserved during upgrades.

Any package that supplies it's own /usr/info/dir is broke.

Note You need to log in before you can comment on or make changes to this bug.